import sys

class MetaMockModule(type):

    def __init__(cls, name: str, bases: tuple, namespace: dict):
        super().__init__(name, bases, namespace)
        sys.modules['bge.%s' % name] = cls
        for key, value in namespace.items():
            sys.modules['bge.%s.%s' % (name.lower(), key)] = value

    def __call__(cls):
        raise NotImplementedError()
